@charset "UTF-8";


/****************************
mainvisual
******************************/
.mainvisual {
    height: 600px;
    margin-bottom: 120px;
    position: relative;
}

.mainvisual .fade-img img {
    width: 100%;
    height: 600px;
    object-fit: cover;
}

/*
.mainvisual .fade-img li {
    width: 70%;
    position: absolute;
    right: 0;
    opacity: 0;
    animation: fade 15s infinite;
}
*/

/* keyframeのところが変かも？
    なぜか画像が白く暗転するタイミングがある 
*/

/*
.mainvisual .fade-img li:nth-child(1) {
    animation-delay: 0s;
}

.mainvisual .fade-img li:nth-child(2) {
    animation-delay: 5s;
}

.mainvisual .fade-img li:nth-child(3) {
    animation-duration: 10s;
}

@keyframes fade {
    0% {
        opacity: 0;
    }
    15% {
        opacity: 1;
    }
    30% {
        opacity: 1;
    }
    45% {
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}

*/

.mainvisual .catchphrase {
    font-family: 'Zen Old Mincho', serif;
    font-size: 120px;
    color: #fff;
    text-shadow: 1px 1px 3px #1f1f1f;
    position: absolute;
    top: 200px;
    left: 35%;
}

/******************************  
btn 
******************************/

.btn {
    max-width: 120px;
    background-color: #fff;
    display: block;
    border: solid 1px #1f1f1f;
    font-size: 12px;
    padding: 10px 0;
    text-align: center;
    position: relative;
    z-index: 10;
}

.btn::before {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -10;
    background-color: #1f1f1f;
    transform-origin: 100% 50%;
    transform: scaleX(0);
    transition: transform ease 0.3s;
}

.btn:hover {
    color: #fff;
    opacity: 1;
}

.btn:hover::before {
    transform-origin: 0% 50%;
    transform: scaleX(1);
}

/******************************
company
*******************************/

.company {
    margin-bottom: 120px;
}

.company .section-title {
    margin: 0 0 0 5vw;
    position: relative;
    z-index: 10;
}

.company .flex {
    display: flex;
    align-items: center;
}

.company .flex .img {
    width: 55%;
    
}

.company .flex .img img {
    width: 100%;
    height: 500px;
    object-fit: cover;
}

.company .flex .text {
    width: 45%;
    background-color: #fff;
    opacity: 0.9;
    padding: 5% 0 5% 5%;
    margin-left: -3%;
}

.company .text .title {
    font-family: 'Zen Old Mincho', serif;
    font-size: 24px;
    margin-bottom: 40px;
}
.company .text .description {
    font-size: 15px;
    line-height: 1.8;
    margin-bottom: 40px;
}


/*****************************
works
******************************/

.works {
    margin-bottom: 120px;
    position: relative;
}

.works .text {
    width: 60%;
    padding: 0 5%;
    margin-left: auto;
    
}

.works .text .section-title {
    margin-bottom: 40px;
    text-align: end; 
}


.works .text .description {
    font-size: 15px;
    line-height: 1.8;
    margin-bottom: 60px;
}


.works .works-area {
    display: flex;
    justify-content: space-between;
}

.works .works-area .works-items{
    width: 30%;
    max-width: 400px;
    margin-right: 5%;
    text-align: center;
    }

.works .works-area .works-items:last-child {
    margin-right: 0;
}

.works .works-area .works-items .img {
    margin-bottom: 20px;
}

.works .works-area .works-items .img img {
    border-radius: 50px;
}

.works .works-area .works-items .title {
    font-size: 24px;
    font-weight: bold;
    margin: 30px 0 20px;
}

.works .works-area .works-items .description {
    line-height: 1.8;
}

.works .btn {
    margin: 50px auto;

}



/*******************************
portfolio
*******************************/

.portfolio {
    margin-bottom: 120px;
}

.portfolio .text .section-title {
    margin: 0 0 0 5vw;
    position: relative;
    z-index: 10;
}


.portfolio .text .description {
    font-size: 15px;
    line-height: 1.8;
    text-align: center;
    margin: 60px;
   
}

.portfolio .flex {
    display: flex;
    align-items: center;
    box-shadow: 5px 5px 25px #ccc;
    margin-bottom: 40px;
    position: relative;
}

.portfolio .flex .items {
    width: 60%;
    overflow: hidden;
    /*border: solid 5px #ff0000;*/
}

.portfolio .flex .items .img1 {
    border: solid 3px #ff0000;
}

.portfolio .flex .items .img2 {
    border: solid 3px #4169e1;
}

.portfolio .flex .items .text-before {
    position: absolute;
    left: 0;
    top: -10;
    color: #fff;
    background-color: #ff0000;
}

.portfolio .flex .items .text-after {
    position: absolute;
    right: 0;
    top: -10;
    color: #fff;
    background-color: #4169e1;

}

.portfolio .btn {
    margin: 50px auto;
}

/*
.portfolio .flex .items.before {
    clip-path: polygon(0 0, 100% 0, 80% 100%, 0 100%);
}

.portfolio .flex .items.after {
    clip-path: polygon(20% 0, 100% 0, 100% 100%, 0 100%);
}
*/


/***********************
rec-contact
************************/
.rec-contact {
    display: flex;
    justify-content: space-between;
    padding: 0 5% 80px;
}

.rec-contact .item {
    width: 48%;
    position: relative;
}

.rec-contact .item::before {
    content: "";
    width: 100%;
    height: 100%;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 50% rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 1));
    position: absolute;
    top: 0;
    left: 0;
}

.rec-contact .item .title {
    color: #fff;
    position: absolute;
    left: 25px;
    bottom: 20px;
}

.rec-contact .item .title .en {
    display: block;
    font-size: 4vw;
    font-weight: 500;
    letter-spacing: 0.05em;
}

.rec-contact .item .title .ja {
    display: block;
    font-size: 14px;
}

.rec-contact .item .arrow {
    width: clamp(85px, 10vw, 140px);
    position: absolute;
    right: 25px;
    bottom: 20px;
}

.rec-contact .item .arrow img {
    width: 100%;
}


/***********************
fadein
************************/

.fadein {
    opacity: 0;
    transform: translateX(80px);
    transition: all 1s;
}

.fadein.inview {
    opacity: 1;
    transform: translateX(0);
}

.fadein-left {
    opacity: 0;
    transform: translateX(-80px);
    transition: all 1s;
}

.fadein-left.inview {
    opacity: 1;
    transform: translateX(0);
}



/****************************************
スマホ用
*****************************************/
@media screen and (max-width: 767px) {

    .section-title {
        font-size: 12vw;
    }

    .section-title .ja {
        margin-left: 1vw;
    }    

    /*********************** 
        mainvisual 
    ************************/
    .mainvisual {
        height: 400px;
        margin-bottom: 60px;
    }

    .mainvisual .fade-img img {
        height: 400px;
    }
    /*
    .mainvisual .fade-img li {
        width: 100%;
    }
    */
    .mainvisual .catchphrase {
        color: #fff;
        text-shadow: 1px 1px 1px #777;
        font-size: 40px;
        top: 180px;
        left: 30%;
    }

    /***********************
        company
    ***********************/

    .company {
        margin-bottom: 60px;
    }

    .company .section-title {
        margin: 0;
        text-align: center;
    }

    .company .flex {
        flex-direction: column;
        text-align: center;
    }

    .company .flex .img {
        width: 100%;
    }

    .company .flex .img img {
        height: 300px;
    }

    .company .flex .text {
        width: 100%;
        margin-left: 0;
        padding: 20px 20px 0;
    }

    .company .flex .text .title {
        font-size: 20px;
        margin-bottom: 20px;
    }

    .company .flex .text .description {
        margin-bottom: 20px;
    }

    .company .flex .text .btn {
        margin-left: 30%;
    }

    /**********************
    works
    **********************/
    .works {
        margin-bottom: 60px;
    }

    .works .text {
        width: 100%;
        padding: 0 20px;
    }

    .works .text .section-title {
        text-align: center;
    }

    .works .text .description {
        margin-bottom: 30px;
        text-align: center;
    }

    .works .works-area {
        margin-bottom: 20px;
        flex-direction: column;
        align-items: center;
    }

    .works .works-area .works-items{
        width: 100%;
        margin: 0 0 40px;
    }

    .works .works-area .works-items:last-child {
        margin-bottom: -20px;
    }

    /***********************
    portfolio
    ************************/
    .portfolio {
        margin-bottom: 60px;
    }

    .portfolio .text {
        width: 100%;
        padding: 0 20px;
    }

    .portfolio .text .section-title {
        text-align: center;
    }

    .portfolio .text .description {
        text-align: center;
        margin-bottom: 20px;
    }

    .portfolio .flex {
        flex-direction: column;
    }

    .portfolio .flex .items {
        width: 100%;

    }


    /***********************
    rec-contact
    ************************/
    .rec-contact {
       flex-direction: column;
       padding: 0 20px 40px;
    }

    .rec-contact .item {
        width: 100%;
        margin-bottom: 20px;
    }

    .rec-contact .item .title .en {
        font-size: 8vw;
    }



}